<template>
  <div id="app" class="h-100vh overflow-hidden">
    <RouterView />
  </div>
</template>
<script>
  export default {
    async created() {


      let $t = this.$t;
      this.$t = (e) => {
        return $t(e) ? $t(e) : e;
      }
      this.$toast = (e)=>{
          this.$toast(this.$t(e));
      }

      let resp = await this.$http.post(this.$api.mzUser.userinfo,this.$qs.stringify({unAuth:true}));

      if (resp.data.status === 200) {
        this.$store.commit('UPDATE_LOGIN_INFO', resp.data.data.mzUser)
      }


      let br = await this.$http.post(this.$api.common.banners);
      if (br.data.status === 200) {
        this.$store.commit('UPDATE_BANNER', br.data.data.banners)
      }
    }
  }
</script>
<style lang="scss">
body {
  @apply bg-[#F7F7F7] overflow-hidden h-screen;
}
</style>
